// This is a small AJAX library
function CreateRequest() 
{
	try { return new ActiveXObject("Msxml2.XMLHTTP"); } catch (e) {}
	try { return new ActiveXObject("Microsoft.XMLHTTP"); } catch (e) {}
	try { return new XMLHttpRequest(); } catch(e) {}
	alert("Browser does not meet minumum requirements; XMLHttpRequest not supported");
	return null;
}

function GetRequest( url, query, req )
{
	if(query != null && query != '')
		url = url + '?' + query;

	req.open("GET", url, true);
	req.send(null);
}

function PostRequest( url, postdata, req )
{
	req.open("POST", url, true);
	req.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	req.send(postdata);
}

function DoCallback( callback, param )
{
	bgpageresults(param);
	//if( callback != null && callback != '' )
	//	eval( callback + '(param)' );
}

function UpdateDiv( replace, div, data)
{
	var pnode = document.getElementById( div );
	if( pnode )
	{
		if(replace)
			pnode.innerHTML = data;
		else
			pnode.innerHTML += data;
	}
}

function CoAjax( url, query, callback, type, xmlFlag )
{
	// create the request object
	var req = CreateRequest();

	var kTimeout = 5*60*1000; // 5 minutes

	var requestTimer = setTimeout(function() {
       req.abort();
	   DoCallback(callback, 'aborted');
       // Handle timeout situation, e.g. Retry or inform user.
     },kTimeout );

	if( req != null )
	{
		req.onreadystatechange = function() {
			// alert('state changed');
			if( req.readyState == 4 )
			{
				// clear timeout
				clearTimeout(requestTimer);
				// alert('CoAjax loaded');
				var item = req.responseText;
				if( xmlFlag==1 )
				{
					item = req.responseXML;
				}
				DoCallback(callback, item);
			}
		}
		if( type == 'post' )
		{
			PostRequest( url, query, req );
		}
		else
		{
			GetRequest( url, query, req );
		}
	}
}

function CoAjax2( url, postdata, login, session, callback )
{
	// create the request object
	var req = CreateRequest();
	if(postdata != '')
		postdata += '&';
	postdata += "login=" + login + "&session=" + session;

	var kTimeout = 5*60*1000; // 5 minutes

	var requestTimer = setTimeout(function() {
       req.abort();
	   DoCallback(callback, 'aborted');
       // Handle timeout situation, e.g. Retry or inform user.
     },kTimeout );

	if( req != null )
	{
		req.onreadystatechange = function() 
		{
			// state changed
			if( req.readyState == 4 )
			{
				// clear timeout
				clearTimeout(requestTimer);
				// CoAjax loaded
				var item = req.responseText;
				DoCallback(callback, item);
			}
		}
		PostRequest( url, postdata, req );
	}
}


